### Hierarchy

- AgentOptions
  - AgentOptions

## Index

### Properties

- keepAlive
- keepAliveMsecs
- maxFreeSockets
- maxSockets
- timeout

## Properties

### Optional keepAlive

keepAlive: undefined | false | true

- Defined in node_modules/@types/node/http.d.ts:212

Keep sockets around in a pool to be used by other requests in the future. Default = false

### Optional keepAliveMsecs

keepAliveMsecs: undefined | number

- Defined in node_modules/@types/node/http.d.ts:217

When using HTTP KeepAlive, how often to send TCP KeepAlive packets over sockets being kept alive. Default = 1000. Only relevant if keepAlive is set to true.

### Optional maxFreeSockets

maxFreeSockets: undefined | number

- Defined in node_modules/@types/node/http.d.ts:225

Maximum number of sockets to leave open in a free state. Only relevant if keepAlive is set to true. Default = 256.

### Optional maxSockets

maxSockets: undefined | number

- Defined in node_modules/@types/node/http.d.ts:221

Maximum number of sockets to allow per host. Default for Node 0.10 is 5, default for Node 0.12 is Infinity

### Optional timeout

timeout: undefined | number

- Defined in node_modules/@types/node/http.d.ts:229

Socket timeout in milliseconds. This will set the timeout after the socket is connected.

Generated using TypeDoc